Package org.eclipse.birt.chart.model.attribute

# Enum MarkerType

java.lang.Object
java.lang.Enum<MarkerType>
org.eclipse.birt.chart.model.attribute.MarkerType

All Implemented Interfaces:
  `Serializable`, `Comparable<MarkerType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum MarkerType extends Enum<MarkerType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Marker Type', and utility methods for working with them. This type represents the possible values for markers supported for Line Series.

See Also:
  - `AttributePackage.getMarkerType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOX_LITERAL`
The 'Box' literal object.
`CIRCLE_LITERAL`
The 'Circle' literal object.
`COLUMN_LITERAL`
The 'Column' literal object.
`CROSS_LITERAL`
The 'Cross' literal object.
`CROSSHAIR_LITERAL`
The 'Crosshair' literal object.
`DIAMOND_LITERAL`
The 'Diamond' literal object.
`ELLIPSE_LITERAL`
The 'Ellipse' literal object.
`FOUR_DIAMONDS_LITERAL`
The 'Four Diamonds' literal object.
`HEXAGON_LITERAL`
The 'Hexagon' literal object.
`ICON_LITERAL`
The 'Icon' literal object.
`NABLA_LITERAL`
The 'Nabla' literal object.
`RECTANGLE_LITERAL`
The 'Rectangle' literal object.
`SEMI_CIRCLE_LITERAL`
The 'Semi Circle' literal object.
`STAR_LITERAL`
The 'Star' literal object.
`TRIANGLE_LITERAL`
The 'Triangle' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BOX`
The 'Box' literal value.
`static final int`
`CIRCLE`
The 'Circle' literal value.
`static final int`
`COLUMN`
The 'Column' literal value.
`static final int`
`CROSS`
The 'Cross' literal value.
`static final int`
`CROSSHAIR`
The 'Crosshair' literal value.
`static final int`
`DIAMOND`
The 'Diamond' literal value.
`static final int`
`ELLIPSE`
The 'Ellipse' literal value.
`static final int`
`FOUR_DIAMONDS`
The 'Four Diamonds' literal value.
`static final int`
`HEXAGON`
The 'Hexagon' literal value.
`static final int`
`ICON`
The 'Icon' literal value.
`static final int`
`NABLA`
The 'Nabla' literal value.
`static final int`
`RECTANGLE`
The 'Rectangle' literal value.
`static final int`
`SEMI_CIRCLE`
The 'Semi Circle' literal value.
`static final int`
`STAR`
The 'Star' literal value.
`static final int`
`TRIANGLE`
The 'Triangle' literal value.
`static final List<MarkerType>`
`VALUES`
A public read-only list of all the 'Marker Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static MarkerType`
`get(int value)`
Returns the 'Marker Type' literal with the specified integer value.
`static MarkerType`
`get(String literal)`
Returns the 'Marker Type' literal with the specified literal value.
`static MarkerType`
`getByName(String name)`
Returns the 'Marker Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static MarkerType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MarkerType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CROSSHAIR_LITERAL

public static final MarkerType CROSSHAIR_LITERAL
The 'Crosshair' literal object.

If the meaning of 'Crosshair' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CROSSHAIR`

### TRIANGLE_LITERAL

public static final MarkerType TRIANGLE_LITERAL
The 'Triangle' literal object.

If the meaning of 'Triangle' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TRIANGLE`

### BOX_LITERAL

public static final MarkerType BOX_LITERAL
The 'Box' literal object.

If the meaning of 'Box' literal object isn't clear, there really should be more of a description here...

See Also:
  - `BOX`

### CIRCLE_LITERAL

public static final MarkerType CIRCLE_LITERAL
The 'Circle' literal object.

If the meaning of 'Circle' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CIRCLE`

### ICON_LITERAL

public static final MarkerType ICON_LITERAL
The 'Icon' literal object.

See Also:
  - `ICON`

### NABLA_LITERAL

public static final MarkerType NABLA_LITERAL
The 'Nabla' literal object.

See Also:
  - `NABLA`

### DIAMOND_LITERAL

public static final MarkerType DIAMOND_LITERAL
The 'Diamond' literal object.

See Also:
  - `DIAMOND`

### FOUR_DIAMONDS_LITERAL

public static final MarkerType FOUR_DIAMONDS_LITERAL
The 'Four Diamonds' literal object.

See Also:
  - `FOUR_DIAMONDS`

### ELLIPSE_LITERAL

public static final MarkerType ELLIPSE_LITERAL
The 'Ellipse' literal object.

See Also:
  - `ELLIPSE`

### SEMI_CIRCLE_LITERAL

public static final MarkerType SEMI_CIRCLE_LITERAL
The 'Semi Circle' literal object.

See Also:
  - `SEMI_CIRCLE`

### HEXAGON_LITERAL

public static final MarkerType HEXAGON_LITERAL
The 'Hexagon' literal object.

See Also:
  - `HEXAGON`

### RECTANGLE_LITERAL

public static final MarkerType RECTANGLE_LITERAL
The 'Rectangle' literal object.

See Also:
  - `RECTANGLE`

### STAR_LITERAL

public static final MarkerType STAR_LITERAL
The 'Star' literal object.

See Also:
  - `STAR`

### COLUMN_LITERAL

public static final MarkerType COLUMN_LITERAL
The 'Column' literal object.

See Also:
  - `COLUMN`

### CROSS_LITERAL

public static final MarkerType CROSS_LITERAL
The 'Cross' literal object.

See Also:
  - `CROSS`

## Field Details

### CROSSHAIR

public static final int CROSSHAIR
The 'Crosshair' literal value.

See Also:
  - `CROSSHAIR_LITERAL`
  - Constant Field Values

### TRIANGLE

public static final int TRIANGLE
The 'Triangle' literal value.

See Also:
  - `TRIANGLE_LITERAL`
  - Constant Field Values

### BOX

public static final int BOX
The 'Box' literal value.

See Also:
  - `BOX_LITERAL`
  - Constant Field Values

### CIRCLE

public static final int CIRCLE
The 'Circle' literal value.

See Also:
  - `CIRCLE_LITERAL`
  - Constant Field Values

### ICON

public static final int ICON
The 'Icon' literal value.

If the meaning of 'Icon' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ICON_LITERAL`
  - Constant Field Values

### NABLA

public static final int NABLA
The 'Nabla' literal value.

If the meaning of 'Nabla' literal object isn't clear, there really should be more of a description here...

See Also:
  - `NABLA_LITERAL`
  - Constant Field Values

### DIAMOND

public static final int DIAMOND
The 'Diamond' literal value.

If the meaning of 'Diamond' literal object isn't clear, there really should be more of a description here...

See Also:
  - `DIAMOND_LITERAL`
  - Constant Field Values

### FOUR_DIAMONDS

public static final int FOUR_DIAMONDS
The 'Four Diamonds' literal value.

If the meaning of 'Four Diamonds' literal object isn't clear, there really should be more of a description here...

See Also:
  - `FOUR_DIAMONDS_LITERAL`
  - Constant Field Values

### ELLIPSE

public static final int ELLIPSE
The 'Ellipse' literal value.

If the meaning of 'Ellipse' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ELLIPSE_LITERAL`
  - Constant Field Values

### SEMI_CIRCLE

public static final int SEMI_CIRCLE
The 'Semi Circle' literal value.

If the meaning of 'Semi Circle' literal object isn't clear, there really should be more of a description here...

See Also:
  - `SEMI_CIRCLE_LITERAL`
  - Constant Field Values

### HEXAGON

public static final int HEXAGON
The 'Hexagon' literal value.

If the meaning of 'Hexagon' literal object isn't clear, there really should be more of a description here...

See Also:
  - `HEXAGON_LITERAL`
  - Constant Field Values

### RECTANGLE

public static final int RECTANGLE
The 'Rectangle' literal value.

If the meaning of 'Rectangle' literal object isn't clear, there really should be more of a description here...

See Also:
  - `RECTANGLE_LITERAL`
  - Constant Field Values

### STAR

public static final int STAR
The 'Star' literal value.

If the meaning of 'Star' literal object isn't clear, there really should be more of a description here...

See Also:
  - `STAR_LITERAL`
  - Constant Field Values

### COLUMN

public static final int COLUMN
The 'Column' literal value.

If the meaning of 'Column' literal object isn't clear, there really should be more of a description here...

See Also:
  - `COLUMN_LITERAL`
  - Constant Field Values

### CROSS

public static final int CROSS
The 'Cross' literal value.

If the meaning of 'Cross' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CROSS_LITERAL`
  - Constant Field Values

### VALUES

public static final List<MarkerType> VALUES
A public read-only list of all the 'Marker Type' enumerators.

## Method Details

### values

public static MarkerType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MarkerType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static MarkerType get(String literal)
Returns the 'Marker Type' literal with the specified literal value.

### getByName

public static MarkerType getByName(String name)
Returns the 'Marker Type' literal with the specified name.

### get

public static MarkerType get(int value)
Returns the 'Marker Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<MarkerType>`